package com.yuchen.saas.parking.api.feign.black;

import com.yuchen.saas.parking.api.dto.black.PageBlackListReqDTO;
import com.yuchen.saas.parking.api.feign.ParkingScreenClient;
import com.yuchen.saas.parking.api.vo.OpenGateCommand;
import com.yuchen.saas.parking.api.vo.black.VehicleBlacklistVO;
import org.nest.springwrap.core.mp.support.NestPage;
import org.nest.springwrap.core.tool.api.R;
import org.springframework.stereotype.Component;

import javax.servlet.http.HttpServletResponse;

/**
 * @author 黄辉
 * @version 1.0
 * @date 2021/5/14 16:05
 */
@Component
public class VehicleBlacklistClientFallback implements VehicleBlacklistClient {

    @Override
    public R saveOrUpdate(VehicleBlacklistVO vehicleBlacklistVO) {
        return R.fail("数据返回失败");
    }

    @Override
    public R detail(Long id) {
        return R.fail("数据返回失败");
    }

    @Override
    public R removeByBlackId(Long id) {
        return R.fail("数据返回失败");
    }

    @Override
    public R getListByParkingId(Long parkingId) {
        return R.fail("数据返回失败");
    }

    @Override
    public R<NestPage<VehicleBlacklistVO>> page(PageBlackListReqDTO reqDTO) {
        return R.fail("数据返回失败");
    }

//    @Override
//    public void exportVisitor(PageBlackListReqDTO reqDTO, HttpServletResponse response) {
//
//    }
}
